AOZ Studio Beta - Bug #43

Patterns have reversed colours
01/21/2020 04:49 PM - Paul Kitching

Status: Resolved Start date: 01/21/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

set pattern 3:set paint 1
ink 2

bar 40,100 to 60,120
set pattern 5:set paint 0
ink 6

bar 70,100 to 90,120

AMOS shows white ™ and blue lines, not a white and blue background on them.

History

#1 - 01/21/2020 05:19 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 01/21/2020 05:26 PM - Francois Lionet

- Target version set to 0.9.3

#3 - 01/22/2020 09:23 PM - Baptiste Pillot

- File 0.9.2.6.png added

- File 0.9.3.1.png added

| am not an expert on AMOS patterns.

Here are the results, please confirm if it is fixed :

e code : hitps://www.amos2.fr/ide/Amos2/Ide/Program/414
e run : https://www.amos2.fr/run/tickleman/43/

0.9.2.6 result :
0.9.2.6.png

0.9.3.1 result :
0.9.3.1.png

Please confirm if the new result is ok thanks to AMOS/AOZ specifications.

#4 - 01/22/2020 09:29 PM - Baptiste Pillot
- File 0.9.2.6.png added
- File 0.9.3.1.png added

#5 - 01/22/2020 09:30 PM - Baptiste Pillot

- Status changed from Resolved to Feedback

#6 - 01/23/2020 06:05 PM - Paul Kitching
- File Patterns.png added
https://www.amos2.fr/ide/Amos2/Ide/Program/414
https://www.amos2.fr/run/tickleman/43/

There are quite a few problems with it, still.

I've attached a pic. On the left is AOZ, AMOS Pro on the right.

Here is the code:

cls
set
ink
bar
set
bar
set
ink
bar

The first pattern should be a solid fill, not pattern 4. It seems to be using the background ink colour as the pattern. The rest is correct.
The one below should be using ink colour 4 for the background (red). The foreground and border are correct (ink 2 and 5)

0

paint 1

2,4,5

40,50 to 60,70
pattern 3:set paint 1
40,100 to 60,120
pattern 5:set paint O
6,7,8

70,100 to 90,120

The one on the right should be a different pattern (it's using pattern 7), and be using colour 7 for the background. Ink 6 is correct for the foreground
pattern colour, and the border is off, which is correct.

Patterns.png

#7 - 02/01/2020 06:27 AM - Baptiste Pillot

Thanks for this detailed example.

Confirmed still not working in version 0.9.3.2.

#8 - 03/11/2020 06:55 PM - Paul Kitching

This is almost working. It actually IS, but is producing wrong results because of bug 145 (the default colours are wrong). Apart from that it is doing
what it should be doing.

#9 - 09/08/2021 06:14 AM - David Baldwin

- Status changed from Feedback to Resolved

Files

0.9.2.6.png 770 Bytes 01/22/2020 Baptiste Pillot

0.9.3.1.png 730 Bytes 01/22/2020 Baptiste Pillot

0.9.2.6.png 5.9 KB 01/22/2020 Baptiste Pillot

0.9.3.1.png 5.27 KB 01/22/2020 Baptiste Pillot

Patterns.png 5.84 KB 01/23/2020 Paul Kitching
